For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • GETList Pricing Groups
      • POSTCreate Pricing Group
      • GETGet Pricing Group
      • DELDelete Pricing Group
      • PATCHUpdate Pricing Group Metadata
      • PUTUpdate Pricing Group Rates
      • POSTAssign Accounts To Pricing Group
      • DELUnassign Accounts From Pricing Group
LogoLogo
Contact SupportGet Started
API ReferencePricing Groups

Assign Accounts To Pricing Group

POST
/digital-banking/v1/pricing-groups/:pricing_group_id/accounts
POST
/digital-banking/v1/pricing-groups/:pricing_group_id/accounts
$curl -X POST https://api.modernfi.com/digital-banking/v1/pricing-groups/pricing_group_id/accounts \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "account_ids": [
> "string"
> ]
>}'
1{}
Assign multiple accounts to a pricing group. The pricing group's current rate structure will be copied to all assigned accounts. If accounts are already assigned to a different pricing group, they will be reassigned and receive the new rates.
Was this page helpful?
Previous

Unassign Accounts From Pricing Group

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pricing_group_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
account_idslist of stringsRequired
List of account IDs to assign to this pricing group
effective_atstringOptionalformat: "date-time"
When the pricing group rates become effective for these accounts. Defaults to now if not provided.

Response

Successful Response

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error